:root {
    color: white;
}

.b {
    position: absolute;
    width: 1440px;
    height: 100%;
}

.play {
    /*animation: ma 10s 3s infinite linear; */
    -webkit-animation: mymove 5s infinite;
    /* Safari 4.0 - 8.0 */
    animation: mymove 20s infinite;
}

.a {
    position: absolute;
    width: 100%;
    height: 50px;
    //background-color: pink;
    overflow: hidden;
}

@-webkit-keyframes mymove {
    from {
        left: 0px;
    }
    to {
        left: 200px;
    }
}

@keyframes mymove {
    from {
        left: 0px;
    }
    to {
        left: 200px;
    }
}

@keyframes ma {
    0% {
        margin-left: 0px;
    }
    100% {
        margin-left: -1200px;
    }
}

.play:hover {
    animation-play-state: paused;
}

.red-span {
    color: red;
}

ion-label {
    color: white;
}

form {
    padding-left: 0;
    padding-right: 0;
    background-color: none;
}

ion-label[for=carburant] {
    margin-bottom: 8px;
}

ion-button {
    margin-top: 20px;
}

ion-card ion-card-content {
    padding-left: 0;
    padding-right: 0;
    margin-right: 0;
    margin-left: 0;
}

ion-item {
    padding-left: 0;
    padding-right: 0;
}

ion-card {
    background-color: var(--ion-color-primary);
}

ion-select-option[selected=selected] {
    background-color: white;
}

ion-content {
    padding-left: 0;
    padding-right: 0;
}

form {
    margin-left: 0;
    margin-right: 0;
    border-radius: 18px;
}

ion-select,
ionic-selectable {
    color: white;
}

ion-datetime {
    color: white;
}

figure {
    width: 300vw;
    margin-left: 1%;
    margin-right: 1%;
}

figcaption {
    color: rgb(99, 12, 70);
}

img.icone {
    width: 100px;
    height: 100px;
}

.p-white {
    color: white;
}

.writeError {
    border-style: double;
    border-color: red;
}

.carburantError {
    color: red;
}

#myFileInputCg {
    position: absolute;
    opacity: 0;
}

#myFileInputCt {
    position: absolute;
    opacity: 0;
}

ion-header {
    ion-toolbar {
        --background: linear-gradient( #FAEC1E, #FBB336);
        ion-menu-toggle {
            .menuBtn {
                color: white;
                width: 55px;
                max-width: none;
                background-color: #F15A24;
                position: absolute;
                top: -17px;
                left: 0;
            }
        }
        img {
            width: 150px;
            display: block;
            margin: 0 auto;
        }
    }
}

.container {
    background-color: rgba(241, 90, 36, 0.22);
    border-radius: 10px;
    margin: 10px;
    padding: 8px;
    p {
        margin: 0;
    }
    .topHeading {
        color: var(--ion-color-secondary);
        font-weight: 700;
        text-align: center;
    }
    .inputBlock {
        margin-top: 12px;
        .question {
            color: var(--ion-color-secondary);
            font-size: 14px;
            margin-left: 5px;
        }
        .itemInput {
            border-radius: 10px;
            height: 30px;
            margin-top: 5px;
            background-color: white;
            display: flex;
            align-items: center;
            ion-input {
                --padding-top: 0;
                --padding-bottom: 0;
                --padding-start: 15px;
                color: var(--ion-color-secondary);
                --placeholder-color: var(--ion-color-dark);
                --placeholder-opacity: 0.3;
            }
            ion-select {
                max-width: none;
                width: 95%;
                --placeholder-color: var(--ion-color-dark);
                --placeholder-opacity: 1;
                color: var(--ion-color-secondary);
            }
        }
    }
    .inputImages {
        display: flex;
        .question {
            color: var(--ion-color-secondary);
            font-size: 14px;
            margin-left: 5px;
        }
        .image {
            //background-color: white;
            padding: 1px 3px;
            margin-left: 15px;
            display: flex;
            flex-direction: column;
            align-items: center;
            img {
                width: 20px;
                max-width: none;
                height: 20px;
            }
            .ess {
                color: #00FF00;
                font-size: 10px;
            }
            .gas {
                color: red;
                font-size: 10px;
            }
        }
    }
    .inputs {
        display: flex;
        align-items: center;
        justify-content: space-between;
        .inputBlock {
            width: 40%;
            .itemInput {
                ion-item {
                    --placeholder-opacity: 1;
                    --placeholder-color: var(--ion-color-secondary);
                }
                ion-select {
                    width: 100%;
                    max-width: none;
                }
            }
        }
    }
    .scaleContainer {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-top: 15px;
        p {
            margin: 0;
        }
        .heading {
            color: var(--ion-color-secondary);
        }
        .scaleValue {
            display: flex;
            align-items: center;
            background-color: #F7EC0F;
            height: fit-content;
            border-radius: 20px;
            padding-right: 5px;
            font-size: 14px;
            .value {
                background-color: white;
                color: var(--ion-color-secondary);
                border-radius: 20px;
                padding: 0px 20px 0px 10px;
                margin-right: 3px;
            }
        }
    }
    ion-range {
        --knob-size: 14px;
        --bar-background: var(--ion-color-secondary);
        --bar-background-active: #F7EC0F !important;
        margin-top: -10px;
        .icon1 {
            position: relative;
            right: -24px;
            z-index: 999;
            color: var(--ion-color-secondary);
            font-size: 17px;
        }
        .icon2 {
            position: relative;
            left: -24px;
            color: var(--ion-color-secondary);
            font-size: 17px;
        }
    }
    .rangeNumbers {
        display: flex;
        justify-content: space-between;
        right: -12px;
        padding: 0px 35px;
        position: relative;
        top: -20px;
        p {
            color: #F15A24;
            font-size: 14px;
        }
    }
}

.bottomBlock {
    background-color: #FCEE17;
    padding: 8px;
    width: 100%;
    ion-button {
        --background: #F15A26;
        --box-shadow: none;
        display: block;
        margin: 0 auto;
        width: 40%;
        height: 30px;
        ion-icon {
            font-size: 24px;
        }
    }
}

ionic-selectable {
    color: var(--ion-color-secondary)
}

.labelRadio {
    color: var(--ion-color-secondary);
    text-align: center;
    font-size: 12px;
    cursor: pointer;
}

.radioChecked {
    transform: rotateZ(-10deg) rotateX(10deg);
    box-shadow: 0 0 3px 3px #090;
    p {
        color: #090;
    }
    //background-color : green
}

.radioBouton {
    display: none;
    opacity: 0;
    width: 0px;
    height: 0px;
}

.iconeRadio {
    width: 20px;
    max-width: none;
}

.question {
    color: var(--ion-color-secondary);
    font-size: 14px;
    margin-left: 5px;
}

ion-toggle {
    color: var(--ion-color-secondary)
}

.writeRangeError {
    color: red;
    --bar-background: red;
    --bar-background-active: white !important;
}

//